const _Http = getApp().globalData.http;

Component({
    options: {
        addGlobalClass: true
    },
    properties: {
        list: Array,
        ownertable: String,
        ownerid: String,
        changeTotal: Function
    },
    data: {

    },
    methods: {
        editItem(e) {
            const {
                item
            } = e.currentTarget.dataset;
            wx.navigateTo({
                url: `/packageA/setclient/modules/trace/add/index?ownertable=${this.data.ownertable}&ownerid=${this.data.ownerid}&content=${item.content}&type=${item.type}&sys_datafollowupid=${item.sys_datafollowupid}`,
            });
        },
        deleteItem(e) {
            const {
                item
            } = e.currentTarget.dataset;
            wx.navigateTo({
                url: `/packageA/setclient/modules/trace/list/delete?item=${JSON.stringify({
                    "sys_datafollowupid": item.sys_datafollowupid,
                    "ownertable": this.data.ownertable,
                    "ownerid": this.data.ownerid
                })}`,
            })
        },
    }
})